import { RedirectionVisitor } from "./RedirectionVisitor";
/**
 *
 */
export declare class DialogRedirectionVisitor extends RedirectionVisitor {
    constructor(value: string | object);
    static propagateDialogId(dialogRedirection: object, dialogId: string): void;
    static propagateTenantIdAndSessionId(dialogRedirection: object, tenantId: string, sessionId: string): void;
    static visitId(dialogRedirection: object): string;
    deriveDialogIdsFromDialogNameAndRecordId(): void;
    deriveDialogIdsFromDialogNameAndSuffix(suffix: string): void;
    propagateDialogId(dialogId: string): void;
    propagateTenantIdAndSessionId(tenantId: string, sessionId: string): void;
    visitDialogId(): string;
    visitAndSetDialogId(dialogId: string): void;
    visitDialogName(): string;
    visitAndSetDialogName(dialogName: string): void;
    visitRecordId(): string;
    visitAndSetRecordId(recordId: string): void;
}
